## 389-console 1.1.7

=== win/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# This Program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 2 of the License.
# 
# This Program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA.
# 
# In addition, as a special exception, Red Hat, Inc. gives You the additional
# right to link the code of this Program with code not covered under the GNU
# General Public License ("Non-GPL Code") and to distribute linked combinations
# including the two, subject to the limitations in this paragraph. Non-GPL Code
# permitted under this exception must only link to the code of this Program
# through those well defined interfaces identified in the file named EXCEPTION
# found in the source code files (the "Approved Interfaces"). The files of
# Non-GPL Code may instantiate templates or use macros or inline functions from
# the Approved Interfaces without causing the resulting work to be covered by
# the GNU General Public License. Only Red Hat, Inc. may make changes or
# additions to the list of Approved Interfaces. You must obey the GNU General
# Public License in all respects for all of the Program code and other code used
# in conjunction with the Program except the Non-GPL Code covered by this
# exception. If you modify this file, you may extend this exception to your
# version of the file, but you are not obligated to do so. If you do not wish to
# provide this exception without modification, you must delete this exception
# statement from your version and license this file solely under the GPL without
# exception. 
# 
# 
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK
#
# Packaging nmake Makefile for Console.msi

!IF EXIST(VERSION.mak)
!INCLUDE VERSION.mak
!ENDIF

PKGDIR=.
WXSDIR=.

!IF "$(CPU)" == "AMD64"
FLAG64=_64
USE64=1
PLATFORM=x86_64
MSMPLAT=x64
!ELSE
PLATFORM=i386
MSMPLAT=x86
!ENDIF

!IF "$(APPVER)" == "6.0"
WINVER=8.0
!ELSE
WINVER=5.2
!ENDIF

!IF "$(BUILD_DEBUG)" == "optimize"
OPTDBG=_OPT
!ELSE
OPTDBG=_DBG
!ENDIF

PLAT=WINNT$(WINVER)$(FLAG64)$(OPTDBG).OBJ

FULL_PKGNAME=$(BRANDNOSPACE)-$(PKGNAME)-$(VERSION)-$(PLATFORM).msi

# could also use wget or curl
!IF EXIST("c:\program files\support tools\bitsadmin.exe")
BITSADMIN=c:\program files\support tools\bitsadmin.exe
!ELSE
BITSADMIN=bitsadmin
!ENDIF
DOWNLOAD="$(BITSADMIN)" /wrap /transfer consolebuild /download /priority normal
!IFNDEF SBC
SBC=http://filer/components
!ENDIF
!IFNDEF SBV
SBV=http://filer/components
!ENDIF

#UZCMD=cscript //nologo unzip.vbs
UZCMD=c:\mozilla-build\info-zip\unzip.exe -q -o

NSPRVER=4.8.4
NSSVER=3_12_6
LDAPJDKVER=4.18
LDAPJDKVERDIR=4.18/20070817.1
JSSVER=4_2_6
!IFDEF USE64
JSSVERDIR=JSS_$(JSSVER)_RTM/20091019.1
!ELSE
JSSVERDIR=JSS_$(JSSVER)_RTM/20091020.1
!ENDIF
IDMVER=1.1.5
IDMVERDIR=$(IDMVER)/20100503.1
WIXVER=2.0.5805.0

# where to stage the package layout
PKGDIR=build.$(PLAT)
# where to find components to package
COMPDIR=$(PKGDIR)

# where to find nspr dlls
NSPRDIR=$(COMPDIR)\nspr
NSPRLIBDIR=$(NSPRDIR)\lib
# where to find nss dlls
NSSDIR=$(COMPDIR)\nss
NSSLIBDIR=$(NSSDIR)\lib
# where to find nss exes
NSSBINDIR=$(NSSDIR)\bin
# where to find jss jar and dll
JSSDIR=$(COMPDIR)\jss
# where to find the ldapjdk.jar
LDAPDIR=$(COMPDIR)\console
#LDAPDIR=$(COMPDIR)\ldapjdk-4.18
# where to find the idm-console-framework jars
IDMDIR=$(COMPDIR)\console
# where to find the console jar and other files
CONSOLEDIR=$(COMPDIR)\console
CONSOLEJARURL=$(SBV)/$(FILEPREF)-console/1.0/20090122.1

WIXURL=$(SBC)/wix
WIXDIR=$(COMPDIR)\wix
#CANDLE=$(WIXDIR)\candle.exe
CANDLE=wix\candle.exe
LIGHT=$(WIXDIR)\light.exe

ALL : $(PKGDIR)\$(FULL_PKGNAME)

$(PKGDIR) :
	mkdir $@
	mkdir $@\Bitmaps

$(NSPRDIR) $(NSSDIR) $(JSSDIR) $(LDAPDIR) $(IDMDIR) $(CONSOLEDIR) $(WIXDIR):
	mkdir $@

$(NSPRDIR)\mdbinary.jar : $(NSPRDIR)
	if not exist $@ $(DOWNLOAD) $(SBC)/nspr/v$(NSPRVER)/$(PLAT)/$(@F) %%CD%%\$@

$(NSPRLIBDIR)\libnspr4.dll : $(NSPRDIR)\mdbinary.jar
	$(UZCMD) $? -d $(?D)

$(NSSDIR)\mdbinary.jar : $(NSSDIR)
	if not exist $@ $(DOWNLOAD) $(SBC)/nss/NSS_$(NSSVER)_RTM/$(PLAT)/$(@F) %%CD%%\$@

$(NSSLIBDIR)\nss3.dll : $(NSSDIR)\mdbinary.jar
	$(UZCMD) $? -d $(?D)

$(JSSDIR)\jss4.dll : $(JSSDIR)
	if not exist $@ $(DOWNLOAD) $(SBV)/jss/$(JSSVERDIR)/$(PLAT)/lib/$(@F) %%CD%%\$@

$(JSSDIR)\jss4.jar :
	if not exist $@ $(DOWNLOAD) $(SBV)/jss/$(JSSVERDIR)/$(@F) %%CD%%\$@

$(LDAPDIR)\ldapjdk.jar : $(LDAPDIR)
	if not exist $@ $(DOWNLOAD) $(SBV)/ldapjdk/$(LDAPJDKVERDIR)/$(@F) %%CD%%\$@

$(IDMDIR)\idm-console-base.jar $(IDMDIR)\idm-console-mcc.jar $(IDMDIR)\idm-console-mcc_en.jar $(IDMDIR)\idm-console-nmclf.jar $(IDMDIR)\idm-console-nmclf_en.jar : $(IDMDIR)
	if not exist $@ $(DOWNLOAD) $(SBV)/idm-console-framework/$(IDMVERDIR)/$(@F) %%CD%%\$@

$(CONSOLEDIR)\$(FILEPREF)-console_en.jar : $(CONSOLEDIR)
	if not exist $@ $(DOWNLOAD) $(CONSOLEJARURL)/$(@F) %%CD%%\$@

$(WIXDIR)\wix-$(WIXVER).zip : $(WIXDIR)
	if not exist $@ $(DOWNLOAD) $(WIXURL)/$(@F) %%CD%%\$@

$(PKGDIR)\$(CANDLE) : $(WIXDIR)\wix-$(WIXVER).zip
	$(UZCMD) $? -d $(?D)

LAYOUT : $(PKGDIR) $(NSPRLIBDIR)\libnspr4.dll $(NSSLIBDIR)\nss3.dll $(JSSDIR)\jss4.dll $(JSSDIR)\jss4.jar $(LDAPDIR)\ldapjdk.jar $(IDMDIR)\idm-console-base.jar $(IDMDIR)\idm-console-mcc.jar $(IDMDIR)\idm-console-mcc_en.jar $(IDMDIR)\idm-console-nmclf.jar $(IDMDIR)\idm-console-nmclf_en.jar $(CONSOLEDIR)\$(FILEPREF)-console_en.jar
	copy /Y $(NSPRLIBDIR)\*.dll $(PKGDIR)
	copy /Y $(NSSLIBDIR)\*.dll $(PKGDIR)
	copy /Y $(NSSBINDIR)\certutil.exe $(PKGDIR)
	copy /Y $(NSSBINDIR)\pk12util.exe $(PKGDIR)
	copy /Y $(JSSDIR)\jss4.jar $(PKGDIR)
	copy /Y $(JSSDIR)\jss4.dll $(PKGDIR)
	copy /Y $(LDAPDIR)\ldapjdk.jar $(PKGDIR)
	copy /Y $(IDMDIR)\*.jar $(PKGDIR)
	copy /Y $(CONSOLEDIR)\*.jar $(PKGDIR)
# directory should already contain the bat file, icon, and bitmaps
	@(echo @echo off&echo set FILEPREF=$(FILEPREF)) > header
	copy /Y header+template.bat $(PKGDIR)\$(FILEPREF)-console.bat
	del header
	copy /Y $(ICONDIR)\*.ico $(PKGDIR)
	copy /Y $(BITMAPDIR)\* $(PKGDIR)\Bitmaps\*
	copy /Y License.rtf $(PKGDIR)

$(PKGDIR)\$(FULL_PKGNAME) : $(PKGDIR) LAYOUT $(PKGDIR)\$(CANDLE) $(PKGNAME).wxs
	cd $(PKGDIR) & cd & $(CANDLE) -nologo "-dCRTMSM=$(CRTMSM)" "-dPOLICYCRTMSM=$(POLICYCRTMSM)" -dVERSION=$(VERSION) -dUSE64=$(USE64) "-dBRAND=$(BRAND)" -dBRANDNOSPACE=$(BRANDNOSPACE) "-dVENDOR=$(VENDOR)" -dPKGGUID=$(PKGGUID) "-dPRODUCTNAME=$(PRODUCTNAME)" -dFILEPREF=$(FILEPREF) -dUPGRADEGUID=$(UPGRADEGUID) -dOLDGUID=$(OLDGUID) "-dSHORTCUT=$(SHORTCUT)" "-dOLDSHORTCUT=$(OLDSHORTCUT)" "-dOLDPROGRAMFOLDER=$(OLDPROGRAMFOLDER)" -out $(PKGNAME).wixobj ..\$(PKGNAME).wxs
	$(LIGHT) -nologo -out $@ -b $(PKGDIR) $(PKGDIR)\$(PKGNAME).wixobj $(WIXDIR)\wixui.wixlib -loc $(WIXDIR)\WixUI_en-us.wxl

clean:
	rmdir /S /Q $(PKGDIR)

cleanpkg:
	del $(PKGDIR)\$(FULL_PKGNAME)
	del $(PKGDIR)\$(PKGNAME).wixobj
	del $(PKGDIR)\$(FILEPREF)-console.bat

help:
	@echo You must define the following paths:
	@echo BASEDIR - the directory containing all of the other components' directories
	@echo   e.g. nmake BASEDIR="c:\Documents and Settings\userid"
	@echo Use
	@echo   nmake BASEDIR=foo download
	@echo to download the components from the default filer
	@echo the download target will create $(PKGDIR) and place the files in there
	@echo You will have to download the branded console jar file manually
	@echo Or you may download them separately and specify individual directories:
	@echo NSPRLIBDIR - directory containing the NSPR dlls
	@echo NSSLIBDIR - directory containing the NSS dlls
	@echo NSSBINDIR - directory containing certutil.exe and pk12util.exe
	@echo JSSDIR - directory containing jss4.jar and jss4.dll
	@echo LDAPDIR - directory containing ldapjdk.jar
	@echo IDMDIR - directory containing the IDM Console Framework jar files
	@echo CONSOLEDIR - directory containing the 389 console jar file
	@echo WIXDIR - directory containing the WiX candle.exe, light.exe, and library files
	@echo Type 'nmake NSPRLIBDIR=... NSSLIBDIR=... etc.' to build the Console.msi package

=== debian/changelog ===
389-console (1.1.7-1) unstable; urgency=low

  * Initial release (Closes: #664089)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 29 Jun 2012 17:20:57 +0200

=== debian/control ===
Source: 389-console
Section: java
Priority: extra
Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 default-jdk,
 quilt,
 ant,
 libjss-java,
 libldap-java,
 libidm-console-framework-java, 
Standards-Version: 3.9.3
Homepage: http://directory.fedoraproject.org
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-console.git
Vcs-Browser: http://git.debian.org/?p=pkg-fedora-ds/389-console.git;a=summary

Package: 389-console
Architecture: all
Depends: ${misc:Depends},
 libidm-console-framework-java,
 openjdk-6-jre | java6-runtime,
Description: 389 Management Console
 A Java based remote management console used for managing 389
 Administration Server and 389 Directory Server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PKG := 389-console
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
CONSOLELANG := en
BUILT_DIR=$(CURDIR)/build

override_dh_auto_clean:
	rm -rf $(BUILT_DIR)

override_dh_auto_build:
	ant -Dbuilt.dir=$(BUILT_DIR) \
		-Dclassdest=/usr/share/java \
		-Djss.local.location=/usr/share/java \

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/$(PKG)/usr/share/java/
	mkdir -p $(CURDIR)/debian/$(PKG)/usr/bin
	install -m 644 $(BUILT_DIR)/*.jar \
		$(CURDIR)/debian/$(PKG)/usr/share/java/
	install -m 755 $(BUILT_DIR)/$(PKG) \
		$(CURDIR)/debian/$(PKG)/usr/bin

	dh_link usr/share/java/$(PKG)-$(UPSTREAM_VERSION)_$(CONSOLELANG).jar \
		usr/share/java/$(PKG)-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION)_$(CONSOLELANG).jar
	dh_link usr/share/java/$(PKG)-$(UPSTREAM_VERSION)_$(CONSOLELANG).jar \
		usr/share/java/$(PKG)_$(CONSOLELANG).jar

%:
	dh $@ --with quilt

=== debian/watch ===
version=3
http://directory.fedoraproject.org/wiki/Source .*/389-console-(.*)\.tar\.bz2

## 389-console 1.1.9

=== win/Makefile ===
--- 
+++ 
@@ -45,7 +45,6 @@
 
 PKGDIR=.
 WXSDIR=.
-
 !IF "$(CPU)" == "AMD64"
 FLAG64=_64
 USE64=1
@@ -86,22 +85,25 @@
 SBV=http://filer/components
 !ENDIF
 
+MOZILLABUILDDIR=c:\mozilla-build
+
 #UZCMD=cscript //nologo unzip.vbs
-UZCMD=c:\mozilla-build\info-zip\unzip.exe -q -o
+UZCMD=$(MOZILLABUILDDIR)\info-zip\unzip.exe -q -o
 
 NSPRVER=4.8.4
 NSSVER=3_12_6
 LDAPJDKVER=4.18
-LDAPJDKVERDIR=4.18/20070817.1
+LDAPJDKVERDIR=v$(LDAPJDKVER)
 JSSVER=4_2_6
 !IFDEF USE64
 JSSVERDIR=JSS_$(JSSVER)_RTM/20091019.1
 !ELSE
 JSSVERDIR=JSS_$(JSSVER)_RTM/20091020.1
 !ENDIF
-IDMVER=1.1.5
-IDMVERDIR=$(IDMVER)/20100503.1
-WIXVER=2.0.5805.0
+IDMVER=1.1.7
+IDMVERDIR=$(IDMVER)/20110621.1
+WIXVER=351728
+#WIXVER=2.0.5805.0
 
 # where to stage the package layout
 PKGDIR=build.$(PLAT)
@@ -125,13 +127,20 @@
 IDMDIR=$(COMPDIR)\console
 # where to find the console jar and other files
 CONSOLEDIR=$(COMPDIR)\console
-CONSOLEJARURL=$(SBV)/$(FILEPREF)-console/1.0/20090122.1
+CONSOLEJARURL=$(SBV)/$(FILEPREF)-console/9.0/20110621.1
 
 WIXURL=$(SBC)/wix
-WIXDIR=$(COMPDIR)\wix
+WIXDIR=$(MOZILLABUILDDIR)\wix-$(WIXVER)
+#WIXDIR=$(COMPDIR)\wix
 #CANDLE=$(WIXDIR)\candle.exe
-CANDLE=wix\candle.exe
+CANDLE=$(WIXDIR)\candle.exe
 LIGHT=$(WIXDIR)\light.exe
+
+!IFDEF NOMSM
+MSMOPTS="-dCRTMSM=" "-dPOLICYCRTMSM="
+!ELSE
+MSMOPTS="-dCRTMSM=$(CRTMSM)" "-dPOLICYCRTMSM=$(POLICYCRTMSM)"
+!ENDIF
 
 ALL : $(PKGDIR)\$(FULL_PKGNAME)
 
@@ -161,7 +170,7 @@
 	if not exist $@ $(DOWNLOAD) $(SBV)/jss/$(JSSVERDIR)/$(@F) %%CD%%\$@
 
 $(LDAPDIR)\ldapjdk.jar : $(LDAPDIR)
-	if not exist $@ $(DOWNLOAD) $(SBV)/ldapjdk/$(LDAPJDKVERDIR)/$(@F) %%CD%%\$@
+	if not exist $@ $(DOWNLOAD) $(SBC)/ldapjdk41/$(LDAPJDKVERDIR)/$(@F) %%CD%%\$@
 
 $(IDMDIR)\idm-console-base.jar $(IDMDIR)\idm-console-mcc.jar $(IDMDIR)\idm-console-mcc_en.jar $(IDMDIR)\idm-console-nmclf.jar $(IDMDIR)\idm-console-nmclf_en.jar : $(IDMDIR)
 	if not exist $@ $(DOWNLOAD) $(SBV)/idm-console-framework/$(IDMVERDIR)/$(@F) %%CD%%\$@
@@ -169,11 +178,11 @@
 $(CONSOLEDIR)\$(FILEPREF)-console_en.jar : $(CONSOLEDIR)
 	if not exist $@ $(DOWNLOAD) $(CONSOLEJARURL)/$(@F) %%CD%%\$@
 
-$(WIXDIR)\wix-$(WIXVER).zip : $(WIXDIR)
-	if not exist $@ $(DOWNLOAD) $(WIXURL)/$(@F) %%CD%%\$@
-
-$(PKGDIR)\$(CANDLE) : $(WIXDIR)\wix-$(WIXVER).zip
-	$(UZCMD) $? -d $(?D)
+#$(WIXDIR)\wix-$(WIXVER).zip : $(WIXDIR)
+#	if not exist $@ $(DOWNLOAD) $(WIXURL)/$(@F) %%CD%%\$@
+
+#$(PKGDIR)\$(CANDLE) : $(WIXDIR)\wix-$(WIXVER).zip
+#	$(UZCMD) $? -d $(?D)
 
 LAYOUT : $(PKGDIR) $(NSPRLIBDIR)\libnspr4.dll $(NSSLIBDIR)\nss3.dll $(JSSDIR)\jss4.dll $(JSSDIR)\jss4.jar $(LDAPDIR)\ldapjdk.jar $(IDMDIR)\idm-console-base.jar $(IDMDIR)\idm-console-mcc.jar $(IDMDIR)\idm-console-mcc_en.jar $(IDMDIR)\idm-console-nmclf.jar $(IDMDIR)\idm-console-nmclf_en.jar $(CONSOLEDIR)\$(FILEPREF)-console_en.jar
 	copy /Y $(NSPRLIBDIR)\*.dll $(PKGDIR)
@@ -193,9 +202,9 @@
 	copy /Y $(BITMAPDIR)\* $(PKGDIR)\Bitmaps\*
 	copy /Y License.rtf $(PKGDIR)
 
-$(PKGDIR)\$(FULL_PKGNAME) : $(PKGDIR) LAYOUT $(PKGDIR)\$(CANDLE) $(PKGNAME).wxs
-	cd $(PKGDIR) & cd & $(CANDLE) -nologo "-dCRTMSM=$(CRTMSM)" "-dPOLICYCRTMSM=$(POLICYCRTMSM)" -dVERSION=$(VERSION) -dUSE64=$(USE64) "-dBRAND=$(BRAND)" -dBRANDNOSPACE=$(BRANDNOSPACE) "-dVENDOR=$(VENDOR)" -dPKGGUID=$(PKGGUID) "-dPRODUCTNAME=$(PRODUCTNAME)" -dFILEPREF=$(FILEPREF) -dUPGRADEGUID=$(UPGRADEGUID) -dOLDGUID=$(OLDGUID) "-dSHORTCUT=$(SHORTCUT)" "-dOLDSHORTCUT=$(OLDSHORTCUT)" "-dOLDPROGRAMFOLDER=$(OLDPROGRAMFOLDER)" -out $(PKGNAME).wixobj ..\$(PKGNAME).wxs
-	$(LIGHT) -nologo -out $@ -b $(PKGDIR) $(PKGDIR)\$(PKGNAME).wixobj $(WIXDIR)\wixui.wixlib -loc $(WIXDIR)\WixUI_en-us.wxl
+$(PKGDIR)\$(FULL_PKGNAME) : $(PKGDIR) LAYOUT $(CANDLE) $(PKGNAME).wxs
+	cd $(PKGDIR) & cd & $(CANDLE) -nologo $(MSMOPTS) -dVERSION=$(VERSION) -dUSE64=$(USE64) "-dBRAND=$(BRAND)" -dBRANDNOSPACE=$(BRANDNOSPACE) "-dVENDOR=$(VENDOR)" -dPKGGUID=$(PKGGUID) "-dPRODUCTNAME=$(PRODUCTNAME)" -dFILEPREF=$(FILEPREF) -dUPGRADEGUID=$(UPGRADEGUID) -dOLDGUID=$(OLDGUID) "-dSHORTCUT=$(SHORTCUT)" "-dOLDSHORTCUT=$(OLDSHORTCUT)" "-dOLDPROGRAMFOLDER=$(OLDPROGRAMFOLDER)" -out $(PKGNAME).wixobj ..\$(PKGNAME).wxs
+	$(LIGHT) -nologo -out $@ -b $(PKGDIR) $(PKGDIR)\$(PKGNAME).wixobj -ext WixUIExtension -cultures:en-us
 
 clean:
 	rmdir /S /Q $(PKGDIR)

=== debian/changelog ===
389-console (1.1.9-1) unstable; urgency=medium

  * New upstream release.
  * watch: Update the url.
  * control: Bump policy to 3.9.6, no changes.
  * rules: Install the manpage.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Jul 2015 09:04:35 +0300

389-console (1.1.7-2) unstable; urgency=low

  * watch: Add a comment about the upstream git tree.
  * control: Update my email.
  * control: Bump policy to 3.9.5, no changes.
  * control: Bump debhelper compat to 9.
  * control: Drop dependency on java runtime.
  * control: Use canonical vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Aug 2014 12:34:57 +0300

=== debian/control ===
Source: 389-console
Section: java
Priority: extra
Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper (>= 9),
 default-jdk,
 quilt,
 ant,
 libjss-java,
 libldap-java,
 libidm-console-framework-java, 
Standards-Version: 3.9.6
Homepage: http://directory.fedoraproject.org
Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-console.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-console.git

Package: 389-console
Architecture: all
Depends: ${misc:Depends},
 libidm-console-framework-java,
Description: 389 Management Console
 A Java based remote management console used for managing 389
 Administration Server and 389 Directory Server.

=== debian/rules ===
--- 
+++ 
@@ -13,16 +13,20 @@
 
 override_dh_auto_build:
 	ant -Dbuilt.dir=$(BUILT_DIR) \
+		-Dman.dir=$(BUILT_DIR)/usr/share/man \
 		-Dclassdest=/usr/share/java \
 		-Djss.local.location=/usr/share/java \
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/$(PKG)/usr/share/java/
+	mkdir -p $(CURDIR)/debian/$(PKG)/usr/share/man/man8
 	mkdir -p $(CURDIR)/debian/$(PKG)/usr/bin
 	install -m 644 $(BUILT_DIR)/*.jar \
 		$(CURDIR)/debian/$(PKG)/usr/share/java/
 	install -m 755 $(BUILT_DIR)/$(PKG) \
 		$(CURDIR)/debian/$(PKG)/usr/bin
+	install -m 644 $(BUILT_DIR)/usr/share/man/man8/* \
+		$(CURDIR)/debian/$(PKG)/usr/share/man/man8
 
 	dh_link usr/share/java/$(PKG)-$(UPSTREAM_VERSION)_$(CONSOLELANG).jar \
 		usr/share/java/$(PKG)-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION)_$(CONSOLELANG).jar

## 389-console 1.1.17

=== debian/changelog ===
389-console (1.1.17-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy, no changes.
  * control: Use https vcs urls.
  * rules: Drop -Dman.dir, not needed anymore.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 31 Aug 2016 01:51:17 +0300

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  libjss-java,
  libldap-java,
  libidm-console-framework-java, 
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://directory.fedoraproject.org
-Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-console.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-console.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-fedora-ds/389-console.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fedora-ds/389-console.git
 
 Package: 389-console
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 
 override_dh_auto_build:
 	ant -Dbuilt.dir=$(BUILT_DIR) \
-		-Dman.dir=$(BUILT_DIR)/usr/share/man \
 		-Dclassdest=/usr/share/java \
 		-Djss.local.location=/usr/share/java \

## 389-console 1.1.18

=== win/Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 !IF "$(APPVER)" == "6.0"
 WINVER=8.0
 !ELSE
-WINVER=5.2
+WINVER=6.1
 !ENDIF
 
 !IF "$(BUILD_DEBUG)" == "optimize"
@@ -154,7 +154,7 @@
 $(NSPRDIR)\mdbinary.jar : $(NSPRDIR)
 	if not exist $@ $(DOWNLOAD) $(SBC)/nspr/v$(NSPRVER)/$(PLAT)/$(@F) %%CD%%\$@
 
-$(NSPRLIBDIR)\libnspr4.dll : $(NSPRDIR)\mdbinary.jar
+$(NSPRLIBDIR)\nspr4.dll : $(NSPRDIR)\mdbinary.jar
 	$(UZCMD) $? -d $(?D)
 
 $(NSSDIR)\mdbinary.jar : $(NSSDIR)
@@ -184,7 +184,7 @@
 #$(PKGDIR)\$(CANDLE) : $(WIXDIR)\wix-$(WIXVER).zip
 #	$(UZCMD) $? -d $(?D)
 
-LAYOUT : $(PKGDIR) $(NSPRLIBDIR)\libnspr4.dll $(NSSLIBDIR)\nss3.dll $(JSSDIR)\jss4.dll $(JSSDIR)\jss4.jar $(LDAPDIR)\ldapjdk.jar $(IDMDIR)\idm-console-base.jar $(IDMDIR)\idm-console-mcc.jar $(IDMDIR)\idm-console-mcc_en.jar $(IDMDIR)\idm-console-nmclf.jar $(IDMDIR)\idm-console-nmclf_en.jar $(CONSOLEDIR)\$(FILEPREF)-console_en.jar
+LAYOUT : $(PKGDIR) $(NSPRLIBDIR)\nspr4.dll $(NSSLIBDIR)\nss3.dll $(JSSDIR)\jss4.dll $(JSSDIR)\jss4.jar $(LDAPDIR)\ldapjdk.jar $(IDMDIR)\idm-console-base.jar $(IDMDIR)\idm-console-mcc.jar $(IDMDIR)\idm-console-mcc_en.jar $(IDMDIR)\idm-console-nmclf.jar $(IDMDIR)\idm-console-nmclf_en.jar $(CONSOLEDIR)\$(FILEPREF)-console_en.jar
 	copy /Y $(NSPRLIBDIR)\*.dll $(PKGDIR)
 	copy /Y $(NSSLIBDIR)\*.dll $(PKGDIR)
 	copy /Y $(NSSBINDIR)\certutil.exe $(PKGDIR)

=== debian/changelog ===
389-console (1.1.18-2) unstable; urgency=medium

  * rules: Actually install the jar instead of overwriting it with a symlink.
    (Closes: #857209)
  * control: Depend on default-jre. (Closes: #795894)
  * lintian: Fix codeless-jar override.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Mar 2017 09:11:43 +0200

389-console (1.1.18-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Dec 2016 10:49:26 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Package: 389-console
 Architecture: all
 Depends: ${misc:Depends},
+ default-jre,
  libidm-console-framework-java,
 Description: 389 Management Console
  A Java based remote management console used for managing 389

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 	mkdir -p $(CURDIR)/debian/$(PKG)/usr/share/java/
 	mkdir -p $(CURDIR)/debian/$(PKG)/usr/share/man/man8
 	mkdir -p $(CURDIR)/debian/$(PKG)/usr/bin
-	install -m 644 $(BUILT_DIR)/*.jar \
-		$(CURDIR)/debian/$(PKG)/usr/share/java/
+	install -m 644 $(BUILT_DIR)/$(PKG)_$(CONSOLELANG).jar \
+		$(CURDIR)/debian/$(PKG)/usr/share/java/$(PKG)-$(UPSTREAM_VERSION)_$(CONSOLELANG).jar
 	install -m 755 $(BUILT_DIR)/$(PKG) \
 		$(CURDIR)/debian/$(PKG)/usr/bin
 	install -m 644 $(BUILT_DIR)/usr/share/man/man8/* \

=== debian/watch ===
#git=git://git.fedorahosted.org/389/console.git
version=3
http://www.port389.org/binaries/389-console-(.*)\.tar\.bz2
